Page MenuHomePhabricator

Don't deploy new namespaces without having translations
Closed, InvalidPublic

Description

Please don't deploy new namepsaces without having translations. I see gadget namepsaces.

Details

Related Gerrit Patches:
mediawiki/extensions/Gadgets : masterAdd Persian translations
mediawiki/extensions/Flow : masterFix Persian namespace name translation

Event Timeline

Mjbmr created this task.Aug 16 2015, 7:21 PM
Mjbmr raised the priority of this task from to Needs Triage.
Mjbmr updated the task description. (Show Details)
Mjbmr added a subscriber: Mjbmr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2015, 7:21 PM
Mjbmr set Security to None.
Krenair closed this task as Invalid.Aug 16 2015, 7:23 PM
Krenair claimed this task.
Krenair added a subscriber: Krenair.

Not a new extension.

Mjbmr renamed this task from Don't deploy new extensions with namepsaces without having translations to Don't deploy new namepsaces without having translations.Aug 16 2015, 7:24 PM
Mjbmr reopened this task as Open.
Mjbmr updated the task description. (Show Details)
Krenair closed this task as Invalid.Aug 16 2015, 7:46 PM

Okay, new namespaces.

  • You have not provided any reasons.
  • No one can actually edit anything in the new Gadgets ones until a sysadmin (or someone allowed by CentralAuth for global group permissions, e.g. stewards for Wikimedia sites) configures it. (note to wikimedia stewards reading this: please don't do that yet)
  • They're not ready, and have only been merged to master precisely so we can solicit translations for them before they start being used.

See T106177

Change 231919 had a related patch set uploaded (by Mjbmr):
Fix Persian translation

https://gerrit.wikimedia.org/r/231919

Change 231963 had a related patch set uploaded (by Mjbmr):
Add Persian translations

https://gerrit.wikimedia.org/r/231963

Change 231919 merged by jenkins-bot:
Fix Persian namespace name translation

https://gerrit.wikimedia.org/r/231919

mxn added a subscriber: mxn.Aug 16 2015, 8:22 PM

Vietnamese namespaces for the Gadget extension:

https://gerrit.wikimedia.org/r/231871

Change 231963 merged by jenkins-bot:
Add Persian translations

https://gerrit.wikimedia.org/r/231963

MZMcBride renamed this task from Don't deploy new namepsaces without having translations to Don't deploy new namespaces without having translations.Aug 16 2015, 10:45 PM
MZMcBride added a subscriber: MZMcBride.
greg added a subscriber: greg.Aug 17 2015, 5:25 PM

Just catching up on this: should this task have been titled "fix missing namespace translations" instead?

If there is a way to prevent Bad Things(TM) from happening again, then let's talk about that (I guess in a new task, since the patches associated with this one fit more cleanly within the "fix things already live" bucket).

greg added a comment.Aug 17 2015, 5:33 PM

Consensus on IRC (in #wikimedia-releng) with Reedy and Krenair is that Bad Things(TM) didn't happen. :) I'll stop spamming a closed task.

Mjbmr added a subscriber: Legoktm.Aug 20 2015, 7:06 AM
Ricordisamoa removed a subscriber: gerritbot.
Ricordisamoa added a subscriber: Ricordisamoa.
greg moved this task from INBOX to Done on the Release-Engineering-Team board.Sep 8 2015, 8:44 PM